import { ElementRef, Renderer2, ErrorHandler, OnDestroy } from '@angular/core';
import { ShowHideService } from './show-hide.service';
import * as i0 from "@angular/core";
export interface ShowHideStatusConfig {
    id?: string;
    show?: string;
    hide?: string;
    materialIcon?: boolean;
}
export declare class ShowHideStatusDirective implements OnDestroy {
    private service;
    private el;
    private renderer;
    private errorHandler;
    private config;
    private subscription;
    set showHideStatus(config: ShowHideStatusConfig);
    constructor(service: ShowHideService, el: ElementRef, renderer: Renderer2, errorHandler: ErrorHandler);
    private init;
    private updateStatus;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShowHideStatusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ShowHideStatusDirective, "[showHideStatus]", never, { "showHideStatus": "showHideStatus"; }, {}, never>;
}
//# sourceMappingURL=show-hide-status.directive.d.ts.map